Name:           QtSixA
Version:        1.5.1
Release:        1%{?dist}
Summary:        Interface tools to PS3 hardware (Sixaxis/DualShock3, Keypads and Remotes)

Group:          Development/Tools
License:        GPLv2
URL:            http://qtsixa.sourceforge.net/
Source0:        http://downloads.sourceforge.net/qtsixa/%{name}-%{version}-src.tar.gz
# TODO: Should be submitted upstream
Patch0:         %{name}-1.5.1-unistd.patch
Patch1:         %{name}-1.5.1-pkexec.patch
Patch2:         %{name}-1.5.1-cleanups.patch
Patch3:         %{name}-1.5.1-dbus-hang.patch
# Fedora-specific
Patch4:         %{name}-1.5.1-systemd.patch

%package -n python-%{name}
Summary:        Sixaxis Joystick Manager

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  PyQt4-devel
Requires:       PyQt4
Requires:       sixad = %{version}-%{release}

%package -n sixad
Summary:        Sixaxis Daemon

BuildRequires:  bluez-libs-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libusb-devel
BuildRequires:  systemd
Requires:       bluez
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
QtSixA is an interface to 'sixad', an application that can connect PS3 hardware
(Sixaxis/DualShock3, Keypads and Remotes) to a Linux-compatible machine.

"QtSixA" is the GUI (interface), while "sixad" is the backend C++ code.

Currently sixad supports:
- Sixaxis buttons, axis, accelerometers and LEDs
- PS3 Keypads

sixad also registers the Sixaxis and Keypad's MAC/ID in the joystick name
(ex: "PLAYSTATION(R)3 Controller (00:XX:X0:0X:XX)".

%description -n python-%{name}
QtSixA is an interface to 'sixad', an application that can connect PS3 hardware
(Sixaxis/DualShock3, Keypads and Remotes) to a Linux-compatible machine.

"QtSixA" is the GUI (interface), while "sixad" is the backend C++ code.

%description -n sixad
This package provides the modules (called 'sixad') for connecting PS3 hardware
(Sixaxis/DualShock3 and Keypads) to a Linux-compatible machine

Currently sixad supports:
- Sixaxis buttons, axis, accelerometers and LEDs
- PS3 Keypads

sixad also registers the Sixaxis and Keypad's MAC/ID in the joystick name
(ex: "PLAYSTATION(R)3 Controller (00:XX:X0:0X:XX)".

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# Remove shebang from python files
sed -i '1{\@^#!/usr/bin/env python@d}' qtsixa/gui/*.py
sed -i '1{\@^#! /usr/bin/env python@d}' qtsixa/gui/shared.py

%build
make %{?_smp_mflags} CFLAGS="%{optflags}" SYSV=0

%install
make %{?_smp_mflags} install DESTDIR=%{buildroot} SYSV=0

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/qtsixa.desktop

%post -n sixad
%systemd_post sixad.service

%preun -n sixad
%systemd_preun sixad.service

%postun -n sixad
%systemd_postun_with_restart sixad.service

%files -n python-%{name}
%doc manual.pdf README TODO
%license COPYING
%{_bindir}/qtsixa
%{_datadir}/applications/qtsixa.desktop
%{_datadir}/pixmaps/qtsixa.xpm
%{_datadir}/qtsixa/

%files -n sixad
%doc manual.pdf README TODO
%license COPYING
%config(noreplace) %{_sysconfdir}/default/sixad
%{_bindir}/sixad
%{_bindir}/sixad-jack
%{_bindir}/sixad-lq
%{_bindir}/sixad-notify
%{_unitdir}/sixad.service
%{_sbindir}/hidraw-dump
%{_sbindir}/sixad-3in1
%{_sbindir}/sixad-bin
%{_sbindir}/sixad-dbus-blocker
%{_sbindir}/sixad-raw
%{_sbindir}/sixad-remote
%{_sbindir}/sixad-sixaxis
%{_sbindir}/sixpair
%{_sbindir}/sixpair-kbd
%dir %{_sharedstatedir}/sixad/
%ghost %dir %{_sharedstatedir}/sixad/profiles/

%changelog
* Wed Aug 26 2015 Scott K Logan <logans@cottsay.net> - 1.5.1-1
- Initial package
